Page MenuHomePhabricator

Change commit links in Special:Version to link to diffusion
Closed, ResolvedPublic

Description

In e.g. https://www.mediawiki.org/wiki/Special:Version , the MediaWiki, skin, and extension versions all have a git commits SHA that links to, e.g., https://git.wikimedia.org/tree/mediawiki%2Fcore.git/36f661cf4799ec1b7fbe481a54e62afbd46133e0 , etc.

$wgGitRepositoryViewers in DefaultSettings.php maps from gerrit.wikimedia.org URLs to git.wikimedia.org/tree URL patterns. I think we could replace git.wikimedia.org with a diffusion pattern (but again, callsigns ☹ ). Eventually if diffusion is the origin git repository, .git/config in production would have origin = lines pointing to diffusion, and the mapping becomes simpler.

Event Timeline

Spage raised the priority of this task from to Needs Triage.
Spage updated the task description. (Show Details)
Spage added a project: Gitblit-Deprecate.
Spage moved this task to To Triage on the Gitblit-Deprecate board.
Spage added a subscriber: Spage.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 29 2015, 1:57 AM
greg triaged this task as Normal priority.Dec 2 2015, 6:15 PM
greg added a project: Deployments.
greg set Security to None.
greg moved this task from To Triage to Backlog on the Gitblit-Deprecate board.
greg closed this task as Resolved.Mar 27 2016, 1:17 AM
greg assigned this task to demon.
greg added subscribers: demon, greg.

Looking at http://en.wikipedia.beta.wmflabs.org/wiki/Special:Version it looks like it :) Should roll out with the next branch-cut+deploy! (thanks @Krenair, and uh, @demon for the change :) )

greg moved this task from Backlog to Done on the Gitblit-Deprecate board.Jun 9 2016, 6:48 PM